Potential Bugs/Feature Requests/Usage Questions Only:

Any unexpected problems: PLEASE always include
1. What you did:
	+ If you're using examples:
		+ What's the command you run:
		+ Have you made any changes to code? Post them if any:
	+ If not, describe what you did that may be relevant.
		But we may not be able to resolve it since there is no reproducible code.
2. What you observed, e.g. as much as logs possible.
3. What you expected, if not obvious.
4. Your environment (TF version, tensorpack version, cudnn version, number & type of GPUs), if it matters.
5. About efficiency, PLEASE first read http://tensorpack.readthedocs.io/en/latest/tutorial/performance-tuning.html

Feature Requests:
+ Improve an existing feature, or add a new feature.
+ You can implement a lot of features by extending tensorpack
	(See http://tensorpack.readthedocs.io/en/latest/tutorial/index.html#extend-tensorpack).
	It does not have to be added to tensorpack unless you have a good reason.
+ We don't take example requests.

Usage Questions:

+ Read the [tutorials](http://tensorpack.readthedocs.io/en/latest/tutorial/index.html#user-tutorials) first.
+ We answer "HOW to do X in tensorpack" for a specific well-defined X.
  We don't answer general machine learning questions,
  such as "how to improve my model" or "I don't understand the paper".

You can also use gitter (https://gitter.im/tensorpack/users) for more casual discussions.
